package gov.va.med.cds.util;

public interface QueryCacheManagerMBeanInterface 
{
	public boolean isEnabled();
	public void setEnabled( boolean b);
	
	public long getMaxEntriesPerDataSource();
	public void setMaxEntriesPerDataSource(long maxEntriesPerDataSource);

	public long getMaxEntryAgeSeconds();
	public void setMaxEntryAgeSeconds(long maxDataAgeSeconds);
	
	public String getQueryCacheManagerDump();
	
	public String emptyCache();
	public String removeEntriesExceedingMaxEntryAge();
	
	public long getCacheHitCount();
	public long getCacheMissCount();
	public long getDatasourceCacheCount();
	public long getCacheEntryCount();
	
	public String getMemoryUseEstimate();
	
	
	
}
